- Qt 5.15
- Qt Help
- C++ Classes
- QHelpSearchQueryWidget
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QHelpSearchQueryWidget

The following members of class QHelpSearchQueryWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QList<QHelpSearchQuery> | query() const
`(obsolete)` void | setQuery(const QList<QHelpSearchQuery> &queryList)

## Member Function Documentation

### QList<QHelpSearchQuery> QHelpSearchQueryWidget::query() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use searchInput() instead.

See also setQuery().

### void QHelpSearchQueryWidget::setQuery(const QList<QHelpSearchQuery> &queryList)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use setSearchInput() instead.

See also query().